Subject: Traffic Trunk?

From: "Zhu Heqing" <[email-masked]>
Date: Sat, 15 Sep 2001 14:09:49 +0800

Hi, All:

I am eager to know what's really meaning of "traffic trunk".
In fact, it has been interpreted in RFC2702.(MPLS TE requirement).
But I feel it is too abstract to get the point . 
What I can understand is to map FECs to LSPs directly. 
Maybe we can extend the routing protocol to use these LSPs. 
Can you give me a specific example or more specific description?

Thanks in advance.

Zhu Heqing, Graduate Student
University of Electronic Science and Technology of China.

---

From: Ajay Simha <[email-masked]>
Date: Sat, 15 Sep 2001 09:01:41 -0400 (Eastern Daylight Time)

> Can you give me a specific example or more specific description?

I would simply define traffic trunk as aggregate traffic from point A to point
B.

For example from Pop A of a service provider network to Pop B you would always
have a "known" load of traffic.  This would be your traffic trunk.

-ajay

-- 
Ajay Simha
MPLS Deployment Engineer
IOS Technology Division
(919) 392-3141

"Study as if you were to live forever
 Live as if you were to die tomorrow"

 - Mahatma Gandhi

---

From: Ajay Simha <[email-masked]>
Date: Sat, 15 Sep 2001 09:01:41 -0400 (Eastern Daylight Time)

-ajay

-- 
Ajay Simha
MPLS Deployment Engineer
IOS Technology Division
(919) 392-3141

 - Mahatma Gandhi

---

From: Ajay Simha <[email-masked]>
Date: Sat, 15 Sep 2001 09:01:41 -0400 (Eastern Daylight Time)

-ajay

-- 
Ajay Simha
MPLS Deployment Engineer
IOS Technology Division
(919) 392-3141

 - Mahatma Gandhi

---

From: Yousuf Hasan <[email-masked]>
Date: Tue, 18 Sep 2001 12:28:22 -0700

As per RFC 2702:
Traffic trunk is an aggregate of different flows of the same class which are placed inside a Label Switched Path.

class can mean a variety of things, for e.g.
-same EXP value (so we can have a trunk or tunnel per EXP value)
-same FEC mapping

In Traffic engineering, a tunnel normally carries traffic which can have different EXP values  but have the same FEC mapping.

Section 5 of the RFC 2702 describes the properties of a trunk which should help make it clear
Thanks

-Yousuf

---

From: "Mareline Sheldon" <[email-masked]>
Date: Fri, 21 Sep 2001 16:18:34 +0530

A "traffic trunk" is defined as a collection of individual TCP, or UDP,
flows, known as "microflows", that share two common properties. The first
one is that all microflows are forwarded along the same common path and the
second, that, they all share the same class of Service. Its important to
note that the common path shared by the flows of a traffic trunk is just a
path within a single service provider, not an end-to-end path.

MPLS constraint-based routing routes traffic trunks and not individual
microflows, within a single service provider. By routing at the granularity
of traffic trunks, rather than individual microflows, we decouple the amount
of forwarding state and the control traffic that a service provider has to
carry!

i could go on forever .. but i have to stop ;-)

Mary

----- Original Message -----
From: "Zhu Heqing" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, September 15, 2001 11:39 AM
Subject: Traffic Trunk?

> University of Electronic Science and Technology of China.

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

---

From: Lloyd Wood <[email-masked]>
Date: Fri, 21 Sep 2001 22:25:26 +0100 (BST)

On Fri, 21 Sep 2001, Mareline Sheldon wrote:

> flows, known as "microflows", that share two common properties. 

Only TCP or UDP? what about the other protocol numbers?

> The first
> one is that all microflows are forwarded along the same common path

and how does this work for multicast UDP?

L.

<[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>